import request, { postBlob, getBlob, handleImport } from '@/utils/request'


export function orderShareListPageV2(data) {
  return request({
    url: `/order/share/list/pageV2?moduleId=${data.moduleId}`,
    method: 'post',
    data
  })
}

export function orderSharePageExport(data, name) {
  return postBlob({
    url: '/order/share/pageExport',
    data,
    name
  })
}



export function getList(params) {
  return request({
    url: '/order/share/list',
    method: 'get',
    params
  })
}

export function settlement(params) {
  return request({
    url: '/order/share/confirm',
    method: 'get',
    params
  })
}

export function getWebsiteList(params) {
  return request({
    url: '/websit/list',
    method: 'get',
    params
  })
}

export function getPositionList(params) {
  return request({
    url: '/websit/position/list',
    method: 'get',
    params
  })
}

export function saveRemark(params) {
  return request({
    url: '/order/share/remark',
    method: 'post',
    params
  })
}